KnownServiceReference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.spi.selection
Class KnownServiceReference

    java.lang.Object
      org.dvb.spi.selection.ServiceReference
          org.dvb.spi.selection.KnownServiceReference

    public class KnownServiceReference

extends ServiceReference

A reference to a service that is reached with the mediation of a SelectionProvider. This class represents services whose location is already known to the provider without needing to ask a server or head-end.

Since:
  MHP 1.1.3
See Also:
  `SelectionProvider`

Constructor Summary
`KnownServiceReference(String transportIndependent, String transportDependent, Locator actualLocation)` Create a ServiceReference for the given service identified by the combination of a transport independent and transport dependent identifiers.

Method Summary
`Locator` | `getActualLocation()` Return the actualLocation as provided when this ServiceReference was constructed.
`Locator` | `getLocator()` Gives the transport-dependent locator that will be used to represent this service through the Java TV APIs, both in this xlet and in others.
`String` | `getServiceIdentifier()` Return the transport independent locator of the service

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KnownServiceReference

    public KnownServiceReference(String transportIndependent,
                                 String transportDependent,
                                 Locator actualLocation)

  Create a ServiceReference for the given service identified by the combination of a transport independent and transport dependent identifiers.

  Parameters:
    `transportIndependent` - The transport-independent locator of the service.
    `transportDependent` - The transport-dependent locator of the service.
    `actualLocation` - The actual location of the service.

Method Detail

### getServiceIdentifier

    public String getServiceIdentifier()

  Description copied from class: `ServiceReference`
  Return the transport independent locator of the service

  Overrides:
    `getServiceIdentifier` in class `ServiceReference`
  Returns:
    the serviceIdentifier string passed into the constructor.

### getLocator

    public Locator getLocator()

  Gives the transport-dependent locator that will be used to represent this service through the Java TV APIs, both in this xlet and in others.

  Overrides:
    `getLocator` in class `ServiceReference`
  Returns:
    the trasnport dependent string passed into the constructor

### getActualLocation

    public Locator getActualLocation()

  Return the actualLocation as provided when this ServiceReference was constructed.

  Returns:
    a Locator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD